export declare class VirtualDoc {
    defaultView: any;
    parentWindow: any;
    constructor(win: any);
    createElementNS(namespace: string, name: string): VirtualNode;
    createElement(name: string): VirtualNode;
    createTextNode(text: string): string;
}
export declare class VirtualStyle {
    hostNode: VirtualNode;
    properties: any;
    constructor(hostNode: VirtualNode, properties: any);
    removeProperty(name: string): void;
}
export default class VirtualNode {
    elementName: any;
    attributes: any;
    children: any;
    listeners: any;
    ownerDocument: VirtualDoc;
    haiku: any;
    constructor(elementName: any, attributes: any, children: any, ownerDocument: VirtualDoc);
    readonly style: VirtualStyle;
    readonly childNodes: any;
    readonly tagName: any;
    appendChild(child: VirtualNode | string): void;
    replaceChild(incoming: any, existing: any): void;
    removeChild(existing: any): void;
    removeAttribute(name: string): void;
    setAttribute(name: string, value: any): void;
    getAttribute(name: string): any;
    addEventListener(name: string, fn: Function): void;
    getBoundingClientRect(): {
        top: number;
        right: number;
        bottom: number;
        left: number;
        width: number;
        height: number;
    };
}
